<?php

namespace App\Modules\BookingUpgrade\Domain;

use App\Modules\Shared\Domain\ValueObject\EnumValueObject;

class BookingUpgradeStatus extends EnumValueObject
{
    const ELIMINADO = 0;
    const PENDING = 1;

    public static function defaultValue()
    {
        return self::PENDING;
    }

    public static function values(): array
    {
        return [
            self::ELIMINADO,
            self::PENDING,
        ];
    }

    public static function validValues(): array
    {
        return [
            self::PENDING,
        ];
    }
}
